<?php
error_reporting(0);

// 加载库文件
require 'AnmpServer.inc.php';
anmp_log('EXEC FILE   [AnmpReload.php]');


// 读取模板文件 $_ANMP_MENU_TMPL_STR = <<< EOTPL
require ANMP_MENU_TMPL;



# 载入模块解析脚本
require ANMP_ROOT.'/bin/AeTrayMenu/AnmpReload.apache.php';
require ANMP_ROOT.'/bin/AeTrayMenu/AnmpReload.mysql.php';
require ANMP_ROOT.'/bin/AeTrayMenu/AnmpReload.nginx.php';
require ANMP_ROOT.'/bin/AeTrayMenu/AnmpReload.host.php';




// print_r($ANMP_MENU_TMPL_STR);
// print_r($_ENV);
// 

# 修正主配置文件 anmpRoot 参数
if (ANMP_ROOT !== $_ENV['ANMP_CONF']['anmp_root']) {
	$arr = array();
	$arr['anmp_root'] = ANMP_ROOT;
	anmp_set_ini($arr);
}

# 重写写入配置文件
// anmp_log('EXEC WRITE   '. ANMP_MENU_FILE);
file_put_contents(ANMP_MENU_FILE, $_ANMP_MENU_TMPL_STR);
